package com.enactor.training.paymentService.service.messages.gcash;

import java.util.Date;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the MessageHead entity interface here
 */
public interface IMessageHead extends IEntity {

	
	/**
	 * Set the Function
	 *
	 * @param function
	 * @throws PropertyValidationException
	 */
	public void setFunction(String function) throws PropertyValidationException;
	
	/**
	 * Get the Function
	 *
	 * @return function
	 */
	public String getFunction();
	
	
	/**
	 * Set the ClientId
	 *
	 * @param clientId
	 * @throws PropertyValidationException
	 */
	public void setClientId(String clientId) throws PropertyValidationException;
	
	/**
	 * Get the ClientId
	 *
	 * @return clientId
	 */
	public String getClientId();
	
	
	/**
	 * Set the ClientSecret
	 *
	 * @param clientSecret
	 * @throws PropertyValidationException
	 */
	public void setClientSecret(String clientSecret) throws PropertyValidationException;
	
	/**
	 * Get the ClientSecret
	 *
	 * @return clientSecret
	 */
	public String getClientSecret();
	
	
	/**
	 * Set the Version
	 *
	 * @param version
	 * @throws PropertyValidationException
	 */
	public void setVersion(String version) throws PropertyValidationException;
	
	/**
	 * Get the Version
	 *
	 * @return version
	 */
	public String getVersion();
	
	
	/**
	 * Set the ReqMsgId
	 *
	 * @param reqMsgId
	 * @throws PropertyValidationException
	 */
	public void setReqMsgId(String reqMsgId) throws PropertyValidationException;
	
	/**
	 * Get the ReqMsgId
	 *
	 * @return reqMsgId
	 */
	public String getReqMsgId();
	
	
	/**
	 * Set the ReqTime
	 *
	 * @param reqTime
	 * @throws PropertyValidationException
	 */
	public void setReqTime(String reqTime) throws PropertyValidationException;
	
	/**
	 * Get the ReqTime
	 *
	 * @return reqTime
	 */
	public String getReqTime();
	
	
	/**
	 * Set the RespTime
	 *
	 * @param respTime
	 * @throws PropertyValidationException
	 */
	public void setRespTime(String respTime) throws PropertyValidationException;
	
	/**
	 * Get the RespTime
	 *
	 * @return respTime
	 */
	public String getRespTime();
	
	
}
